from djongo import models


class MongoCBDphoto(models.Model):
    id = models.AutoField(primary_key=True)
    device_id = models.CharField(max_length=50, default='')  # 设备id
    addtime = models.IntegerField(default=0)  # 新增时间
    uptime = models.IntegerField(default=0)  # 修改时间
    addr = models.CharField(u'照片路径', max_length=200, default='')
    at = models.CharField(u'环境温度', max_length=50,default='' )
    ah = models.CharField(u'环境湿度', max_length=50, default='')
    # 用户自定义添加：作物名称、病虫害阶段、病虫名称、雌雄、数量
    describe = models.CharField(u'描述', max_length=50,default='')
    indentify_photo = models.CharField(u'识别照片路径', max_length=200, default='')
    indentify_result = models.CharField(max_length=100,default='')  # 识别结果
    photo_status = models.PositiveIntegerField(default=1)  # 照片状态 默认为1正常 4为删除
    is_mark = models.PositiveIntegerField(default=0) # 是否手动标记
    mark = models.TextField(default='[]')  # 手动标记识别结果
    label = models.TextField(blank=True) # 机器标注识别结果

    class Meta:
        db_table = "sa_device_cbdphoto"


# 测报灯照片模型B记录：
class MongoCBDphoto_B(models.Model):
    id = models.AutoField(primary_key=True)
    device_id = models.CharField(max_length=50, default='')  # 设备id
    addtime = models.IntegerField(default=0)  # 新增时间
    uptime = models.IntegerField(default=0)  # 修改时间
    addr = models.CharField(u'照片路径', max_length=200, default='')
    at = models.CharField(u'环境温度', max_length=50, default='')
    ah = models.CharField(u'环境湿度', max_length=50, default='')
    # 用户自定义添加：作物名称、病虫害阶段、病虫名称、雌雄、数量
    describe = models.CharField(u'描述', max_length=50, default='')
    indentify_photo = models.CharField(u'识别照片路径', max_length=200, default='')
    indentify_result = models.CharField(max_length=100, default='')  # 识别结果
    photo_status = models.PositiveIntegerField(default=1)  # 照片状态 默认为1正常 4为删除
    is_mark = models.PositiveIntegerField(default=0) # 是否手动标记
    mark = models.TextField(default='[]')  # 手动标记识别结果
    label = models.TextField(blank=True)  # 机器标注识别结果

    class Meta:
        db_table = 'sa_device_cbdphoto_b'


# 测报灯照片模型C记录：
class MongoCBDphoto_C(models.Model):
    id = models.AutoField(primary_key=True)
    device_id = models.CharField(max_length=50, default='')  # 设备id
    addtime = models.IntegerField(default=0)  # 新增时间
    uptime = models.IntegerField(default=0)  # 修改时间
    addr = models.CharField(u'照片路径', max_length=200, default='')
    at = models.CharField(u'环境温度', max_length=50, default='')
    ah = models.CharField(u'环境湿度', max_length=50, default='')
    # 用户自定义添加：作物名称、病虫害阶段、病虫名称、雌雄、数量
    describe = models.CharField(u'描述', max_length=50, default='')
    indentify_photo = models.CharField(u'识别照片路径', max_length=200, default='')
    indentify_result = models.CharField(max_length=100, default='')  # 识别结果
    photo_status = models.PositiveIntegerField(default=1)  # 照片状态 默认为1正常 4为删除
    is_mark = models.PositiveIntegerField(default=0) # 是否手动标记
    mark = models.TextField(default='[]')  # 手动标记识别结果
    label = models.TextField(blank=True)  # 机器标注识别结果

    class Meta:
        db_table = 'sa_device_cbdphoto_c'


# 孢子仪照片记录：
class MongoBZYphoto(models.Model):
    id = models.AutoField(primary_key=True)
    device_id = models.CharField(max_length=50, default='')  # 设备id
    addtime = models.IntegerField(default=0)  # 新增时间
    uptime = models.IntegerField(default=0)  # 修改时间
    addr = models.CharField(u'照片路径', max_length=200, default='')
    at = models.CharField(u'环境温度', max_length=50,default='' )
    ah = models.CharField(u'环境湿度', max_length=50, default='')
    # 用户自定义添加：作物名称、病虫害阶段、病虫名称、雌雄、数量
    describe = models.CharField(u'描述', max_length=50,default='')
    indentify_photo = models.CharField(u'识别照片路径', max_length=200, default='')
    indentify_result = models.CharField(max_length=100,default='')  # 识别结果
    photo_status = models.PositiveIntegerField(default=1)  # 照片状态 默认为1正常 4为删除
    mark = models.TextField(default='')  # 手动标记识别结果

    class Meta:
        db_table = "sa_device_bzyphoto"
